GLVTypeBParameters (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.math.ec.endo

## Class GLVTypeBParameters

- java.lang.Object
- - org.bouncycastle.math.ec.endo.GLVTypeBParameters

-     public class GLVTypeBParameters
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.math.BigInteger` | `beta`
    `protected int` | `bits`
    `protected java.math.BigInteger` | `g1`
    `protected java.math.BigInteger` | `g2`
    `protected java.math.BigInteger` | `lambda`
    `protected java.math.BigInteger[]` | `v1`
    `protected java.math.BigInteger[]` | `v2`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GLVTypeBParameters(java.math.BigInteger beta, java.math.BigInteger lambda, java.math.BigInteger[] v1, java.math.BigInteger[] v2, java.math.BigInteger g1, java.math.BigInteger g2, int bits)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getBeta()`
    `int` | `getBits()`
    `java.math.BigInteger` | `getG1()`
    `java.math.BigInteger` | `getG2()`
    `java.math.BigInteger` | `getLambda()`
    `java.math.BigInteger[]` | `getV1()`
    `java.math.BigInteger[]` | `getV2()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### beta

          protected final java.math.BigInteger beta

    - #### lambda

          protected final java.math.BigInteger lambda

    - #### v1

          protected final java.math.BigInteger[] v1

    - #### v2

          protected final java.math.BigInteger[] v2

    - #### g1

          protected final java.math.BigInteger g1

    - #### g2

          protected final java.math.BigInteger g2

    - #### bits

          protected final int bits

  - ### Constructor Detail

    - #### GLVTypeBParameters

          public GLVTypeBParameters(java.math.BigInteger beta,
                            java.math.BigInteger lambda,
                            java.math.BigInteger[] v1,
                            java.math.BigInteger[] v2,
                            java.math.BigInteger g1,
                            java.math.BigInteger g2,
                            int bits)

  - ### Method Detail

    - #### getBeta

          public java.math.BigInteger getBeta()

    - #### getLambda

          public java.math.BigInteger getLambda()

    - #### getV1

          public java.math.BigInteger[] getV1()

    - #### getV2

          public java.math.BigInteger[] getV2()

    - #### getG1

          public java.math.BigInteger getG1()

    - #### getG2

          public java.math.BigInteger getG2()

    - #### getBits

          public int getBits()